syntax = "proto2";

package gtgen.core.messages.map;

enum MainTrafficSignType
{
	MAIN_SIGN_TYPE_UNKNOWN = 0;
	MAIN_SIGN_TYPE_OTHER = 1;
	MAIN_SIGN_TYPE_DANGERSPOT = 2;
	MAIN_SIGN_TYPE_ZEBRACROSSING = 87;
	MAIN_SIGN_TYPE_FLIGHT = 110;
	MAIN_SIGN_TYPE_CATTLE = 200;
	MAIN_SIGN_TYPE_HORSERIDERS = 197;
	MAIN_SIGN_TYPE_AMPHIBIANS = 188;
	MAIN_SIGN_TYPE_FALLINGROCKS = 96;
	MAIN_SIGN_TYPE_SNOWORICE = 94;
	MAIN_SIGN_TYPE_LOOSEGRAVEL = 97;
	MAIN_SIGN_TYPE_WATERSIDE = 102;
	MAIN_SIGN_TYPE_CLEARANCE = 210;
	MAIN_SIGN_TYPE_MOVABLEBRIDGE = 101;
	MAIN_SIGN_TYPE_RIGHTBEFORELEFTNEXTINTERSECTION = 3;
	MAIN_SIGN_TYPE_TURNLEFT = 4;
	MAIN_SIGN_TYPE_TURNRIGHT = 5;
	MAIN_SIGN_TYPE_DOUBLETURNLEFT = 6;
	MAIN_SIGN_TYPE_DOUBLETURNRIGHT = 7;
	MAIN_SIGN_TYPE_HILLDOWNWARDS = 8;
	MAIN_SIGN_TYPE_HILLUPWARDS = 9;
	MAIN_SIGN_TYPE_UNEVENROAD = 93;
	MAIN_SIGN_TYPE_ROADSLIPPERYWETORDIRTY = 95;
	MAIN_SIGN_TYPE_SIDEWINDS = 98;
	MAIN_SIGN_TYPE_ROADNARROWING = 10;
	MAIN_SIGN_TYPE_ROADNARROWINGRIGHT = 12;
	MAIN_SIGN_TYPE_ROADNARROWINGLEFT = 11;
	MAIN_SIGN_TYPE_ROADWORKS = 13;
	MAIN_SIGN_TYPE_TRAFFICQUEUES = 100;
	MAIN_SIGN_TYPE_TWOWAYTRAFFIC = 14;
	MAIN_SIGN_TYPE_ATTENTIONTRAFFICLIGHT = 15;
	MAIN_SIGN_TYPE_PEDESTRIANS = 103;
	MAIN_SIGN_TYPE_CHILDRENCROSSING = 106;
	MAIN_SIGN_TYPE_CYCLEROUTE = 107;
	MAIN_SIGN_TYPE_DEERCROSSING = 109;
	MAIN_SIGN_TYPE_UNGATEDLEVELCROSSING = 144;
	MAIN_SIGN_TYPE_LEVELCROSSINGMARKER = 112;
	MAIN_SIGN_TYPE_RAILWAYTRAFFICPRIORITY = 135;
	MAIN_SIGN_TYPE_GIVEWAY = 16;
	MAIN_SIGN_TYPE_STOP = 17;
	MAIN_SIGN_TYPE_PRIORITYTOOPPOSITEDIRECTION = 18;
	MAIN_SIGN_TYPE_PRIORITYTOOPPOSITEDIRECTIONUPSIDEDOWN = 19;
	MAIN_SIGN_TYPE_PRESCRIBEDLEFTTURN = 20;
	MAIN_SIGN_TYPE_PRESCRIBEDRIGHTTURN = 21;
	MAIN_SIGN_TYPE_PRESCRIBEDSTRAIGHT = 22;
	MAIN_SIGN_TYPE_PRESCRIBEDRIGHTWAY = 24;
	MAIN_SIGN_TYPE_PRESCRIBEDLEFTWAY = 23;
	MAIN_SIGN_TYPE_PRESCRIBEDRIGHTTURNANDSTRAIGHT = 26;
	MAIN_SIGN_TYPE_PRESCRIBEDLEFTTURNANDSTRAIGHT = 25;
	MAIN_SIGN_TYPE_PRESCRIBEDLEFTTURNANDRIGHTTURN = 27;
	MAIN_SIGN_TYPE_PRESCRIBEDLEFTTURNRIGHTTURNANDSTRAIGHT = 28;
	MAIN_SIGN_TYPE_ROUNDABOUT = 29;
	MAIN_SIGN_TYPE_ONEWAYLEFT = 30;
	MAIN_SIGN_TYPE_ONEWAYRIGHT = 31;
	MAIN_SIGN_TYPE_PASSLEFT = 32;
	MAIN_SIGN_TYPE_PASSRIGHT = 33;
	MAIN_SIGN_TYPE_SIDELANEOPENFORTRAFFIC = 128;
	MAIN_SIGN_TYPE_SIDELANECLOSEDFORTRAFFIC = 129;
	MAIN_SIGN_TYPE_SIDELANECLOSINGFORTRAFFIC = 130;
	MAIN_SIGN_TYPE_BUSSTOP = 137;
	MAIN_SIGN_TYPE_TAXISTAND = 138;
	MAIN_SIGN_TYPE_BICYCLESONLY = 145;
	MAIN_SIGN_TYPE_HORSERIDERSONLY = 146;
	MAIN_SIGN_TYPE_PEDESTRIANSONLY = 147;
	MAIN_SIGN_TYPE_BICYCLESPEDESTRIANSSHAREDONLY = 148;
	MAIN_SIGN_TYPE_BICYCLESPEDESTRIANSSEPARATEDLEFTONLY = 149;
	MAIN_SIGN_TYPE_BICYCLESPEDESTRIANSSEPARATEDRIGHTONLY = 150;
	MAIN_SIGN_TYPE_PEDESTRIANZONEBEGIN = 151;
	MAIN_SIGN_TYPE_PEDESTRIANZONEEND = 152;
	MAIN_SIGN_TYPE_BICYCLEROADBEGIN = 153;
	MAIN_SIGN_TYPE_BICYCLEROADEND = 154;
	MAIN_SIGN_TYPE_BUSLANE = 34;
	MAIN_SIGN_TYPE_BUSLANEBEGIN = 35;
	MAIN_SIGN_TYPE_BUSLANEEND = 36;
	MAIN_SIGN_TYPE_ALLPROHIBITED = 37;
	MAIN_SIGN_TYPE_MOTORIZEDMULTITRACKPROHIBITED = 38;
	MAIN_SIGN_TYPE_TRUCKSPROHIBITED = 39;
	MAIN_SIGN_TYPE_BICYCLESPROHIBITED = 40;
	MAIN_SIGN_TYPE_MOTORCYCLESPROHIBITED = 41;
	MAIN_SIGN_TYPE_MOPEDSPROHIBITED = 155;
	MAIN_SIGN_TYPE_HORSERIDERSPROHIBITED = 156;
	MAIN_SIGN_TYPE_HORSECARRIAGESPROHIBITED = 157;
	MAIN_SIGN_TYPE_CATTLEPROHIBITED = 158;
	MAIN_SIGN_TYPE_BUSESPROHIBITED = 159;
	MAIN_SIGN_TYPE_CARSPROHIBITED = 160;
	MAIN_SIGN_TYPE_CARSTRAILERSPROHIBITED = 161;
	MAIN_SIGN_TYPE_TRUCKSTRAILERSPROHIBITED = 162;
	MAIN_SIGN_TYPE_TRACTORSPROHIBITED = 163;
	MAIN_SIGN_TYPE_PEDESTRIANSPROHIBITED = 42;
	MAIN_SIGN_TYPE_MOTORVEHICLESPROHIBITED = 43;
	MAIN_SIGN_TYPE_HAZARDOUSGOODSVEHICLESPROHIBITED = 164;
	MAIN_SIGN_TYPE_OVERWEIGHTVEHICLESPROHIBITED = 165;
	MAIN_SIGN_TYPE_VEHICLESAXLEOVERWEIGHTPROHIBITED = 166;
	MAIN_SIGN_TYPE_VEHICLESEXCESSWIDTHPROHIBITED = 167;
	MAIN_SIGN_TYPE_VEHICLESEXCESSHEIGHTPROHIBITED = 168;
	MAIN_SIGN_TYPE_VEHICLESEXCESSLENGTHPROHIBITED = 169;
	MAIN_SIGN_TYPE_DONOTENTER = 44;
	MAIN_SIGN_TYPE_SNOWCHAINSREQUIRED = 170;
	MAIN_SIGN_TYPE_WATERPOLLUTANTVEHICLESPROHIBITED = 171;
	MAIN_SIGN_TYPE_ENVIRONMENTALZONEBEGIN = 45;
	MAIN_SIGN_TYPE_ENVIRONMENTALZONEEND = 46;
	MAIN_SIGN_TYPE_NOUTURNLEFT = 47;
	MAIN_SIGN_TYPE_NOUTURNRIGHT = 48;
	MAIN_SIGN_TYPE_PRESCRIBEDUTURNLEFT = 49;
	MAIN_SIGN_TYPE_PRESCRIBEDUTURNRIGHT = 50;
	MAIN_SIGN_TYPE_MINIMUMDISTANCEFORTRUCKS = 51;
	MAIN_SIGN_TYPE_SPEEDLIMITBEGIN = 52;
	MAIN_SIGN_TYPE_SPEEDLIMITZONEBEGIN = 53;
	MAIN_SIGN_TYPE_SPEEDLIMITZONEEND = 54;
	MAIN_SIGN_TYPE_MINIMUMSPEEDBEGIN = 55;
	MAIN_SIGN_TYPE_OVERTAKINGBANBEGIN = 56;
	MAIN_SIGN_TYPE_OVERTAKINGBANFORTRUCKSBEGIN = 57;
	MAIN_SIGN_TYPE_SPEEDLIMITEND = 58;
	MAIN_SIGN_TYPE_MINIMUMSPEEDEND = 59;
	MAIN_SIGN_TYPE_OVERTAKINGBANEND = 60;
	MAIN_SIGN_TYPE_OVERTAKINGBANFORTRUCKSEND = 61;
	MAIN_SIGN_TYPE_ALLRESTRICTIONSEND = 62;
	MAIN_SIGN_TYPE_NOSTOPPING = 63;
	MAIN_SIGN_TYPE_NOPARKING = 64;
	MAIN_SIGN_TYPE_NOPARKINGZONEBEGIN = 65;
	MAIN_SIGN_TYPE_NOPARKINGZONEEND = 66;
	MAIN_SIGN_TYPE_RIGHTOFWAYNEXTINTERSECTION = 67;
	MAIN_SIGN_TYPE_RIGHTOFWAYBEGIN = 68;
	MAIN_SIGN_TYPE_RIGHTOFWAYEND = 69;
	MAIN_SIGN_TYPE_PRIORITYOVEROPPOSITEDIRECTION = 70;
	MAIN_SIGN_TYPE_PRIORITYOVEROPPOSITEDIRECTIONUPSIDEDOWN = 71;
	MAIN_SIGN_TYPE_TOWNBEGIN = 72;
	MAIN_SIGN_TYPE_TOWNEND = 73;
	MAIN_SIGN_TYPE_CARPARKING = 74;
	MAIN_SIGN_TYPE_CARPARKINGZONEBEGIN = 75;
	MAIN_SIGN_TYPE_CARPARKINGZONEEND = 76;
	MAIN_SIGN_TYPE_SIDEWALKHALFPARKINGLEFT = 172;
	MAIN_SIGN_TYPE_SIDEWALKHALFPARKINGRIGHT = 173;
	MAIN_SIGN_TYPE_SIDEWALKPARKINGLEFT = 174;
	MAIN_SIGN_TYPE_SIDEWALKPARKINGRIGHT = 175;
	MAIN_SIGN_TYPE_SIDEWALKPERPENDICULARHALFPARKINGLEFT = 176;
	MAIN_SIGN_TYPE_SIDEWALKPERPENDICULARHALFPARKINGRIGHT = 177;
	MAIN_SIGN_TYPE_SIDEWALKPERPENDICULARPARKINGLEFT = 178;
	MAIN_SIGN_TYPE_SIDEWALKPERPENDICULARPARKINGRIGHT = 179;
	MAIN_SIGN_TYPE_LIVINGSTREETBEGIN = 77;
	MAIN_SIGN_TYPE_LIVINGSTREETEND = 78;
	MAIN_SIGN_TYPE_TUNNEL = 79;
	MAIN_SIGN_TYPE_EMERGENCYSTOPPINGLEFT = 80;
	MAIN_SIGN_TYPE_EMERGENCYSTOPPINGRIGHT = 81;
	MAIN_SIGN_TYPE_HIGHWAYBEGIN = 82;
	MAIN_SIGN_TYPE_HIGHWAYEND = 83;
	MAIN_SIGN_TYPE_EXPRESSWAYBEGIN = 84;
	MAIN_SIGN_TYPE_EXPRESSWAYEND = 85;
	MAIN_SIGN_TYPE_NAMEDHIGHWAYEXIT = 183;
	MAIN_SIGN_TYPE_NAMEDEXPRESSWAYEXIT = 184;
	MAIN_SIGN_TYPE_NAMEDROADEXIT = 185;
	MAIN_SIGN_TYPE_HIGHWAYEXIT = 86;
	MAIN_SIGN_TYPE_EXPRESSWAYEXIT = 186;
	MAIN_SIGN_TYPE_ONEWAYSTREET = 187;
	MAIN_SIGN_TYPE_CROSSINGGUARDS = 189;
	MAIN_SIGN_TYPE_DEADEND = 190;
	MAIN_SIGN_TYPE_DEADENDEXCLUDINGDESIGNATEDACTORS = 191;
	MAIN_SIGN_TYPE_FIRSTAIDSTATION = 194;
	MAIN_SIGN_TYPE_POLICESTATION = 195;
	MAIN_SIGN_TYPE_TELEPHONE = 196;
	MAIN_SIGN_TYPE_FILLINGSTATION = 198;
	MAIN_SIGN_TYPE_HOTEL = 201;
	MAIN_SIGN_TYPE_INN = 202;
	MAIN_SIGN_TYPE_KIOSK = 203;
	MAIN_SIGN_TYPE_TOILET = 204;
	MAIN_SIGN_TYPE_CHAPEL = 205;
	MAIN_SIGN_TYPE_TOURISTINFO = 206;
	MAIN_SIGN_TYPE_REPAIRSERVICE = 207;
	MAIN_SIGN_TYPE_PEDESTRIANUNDERPASS = 208;
	MAIN_SIGN_TYPE_PEDESTRIANBRIDGE = 209;
	MAIN_SIGN_TYPE_CAMPERPLACE = 213;
	MAIN_SIGN_TYPE_ADVISORYSPEEDLIMITBEGIN = 214;
	MAIN_SIGN_TYPE_ADVISORYSPEEDLIMITEND = 215;
	MAIN_SIGN_TYPE_PLACENAME = 216;
	MAIN_SIGN_TYPE_TOURISTATTRACTION = 217;
	MAIN_SIGN_TYPE_TOURISTROUTE = 218;
	MAIN_SIGN_TYPE_TOURISTAREA = 219;
	MAIN_SIGN_TYPE_SHOULDERNOTPASSABLEMOTORVEHICLES = 220;
	MAIN_SIGN_TYPE_SHOULDERUNSAFETRUCKSTRACTORS = 221;
	MAIN_SIGN_TYPE_TOLLBEGIN = 222;
	MAIN_SIGN_TYPE_TOLLEND = 223;
	MAIN_SIGN_TYPE_TOLLROAD = 224;
	MAIN_SIGN_TYPE_CUSTOMS = 225;
	MAIN_SIGN_TYPE_INTERNATIONALBORDERINFO = 226;
	MAIN_SIGN_TYPE_STREETLIGHTREDBAND = 227;
	MAIN_SIGN_TYPE_FEDERALHIGHWAYROUTENUMBER = 228;
	MAIN_SIGN_TYPE_HIGHWAYROUTENUMBER = 229;
	MAIN_SIGN_TYPE_HIGHWAYINTERCHANGENUMBER = 230;
	MAIN_SIGN_TYPE_EUROPEANROUTENUMBER = 231;
	MAIN_SIGN_TYPE_FEDERALHIGHWAYDIRECTIONLEFT = 232;
	MAIN_SIGN_TYPE_FEDERALHIGHWAYDIRECTIONRIGHT = 233;
	MAIN_SIGN_TYPE_PRIMARYROADDIRECTIONLEFT = 234;
	MAIN_SIGN_TYPE_PRIMARYROADDIRECTIONRIGHT = 235;
	MAIN_SIGN_TYPE_SECONDARYROADDIRECTIONLEFT = 236;
	MAIN_SIGN_TYPE_SECONDARYROADDIRECTIONRIGHT = 237;
	MAIN_SIGN_TYPE_DIRECTIONDESIGNATEDACTORSLEFT = 238;
	MAIN_SIGN_TYPE_DIRECTIONDESIGNATEDACTORSRIGHT = 239;
	MAIN_SIGN_TYPE_ROUTINGDESIGNATEDACTORS = 240;
	MAIN_SIGN_TYPE_DIRECTIONTOHIGHWAYLEFT = 143;
	MAIN_SIGN_TYPE_DIRECTIONTOHIGHWAYRIGHT = 108;
	MAIN_SIGN_TYPE_DIRECTIONTOLOCALDESTINATIONLEFT = 127;
	MAIN_SIGN_TYPE_DIRECTIONTOLOCALDESTINATIONRIGHT = 136;
	MAIN_SIGN_TYPE_CONSOLIDATEDDIRECTIONS = 118;
	MAIN_SIGN_TYPE_STREETNAME = 119;
	MAIN_SIGN_TYPE_DIRECTIONPREANNOUNCEMENT = 120;
	MAIN_SIGN_TYPE_DIRECTIONPREANNOUNCEMENTLANECONFIG = 121;
	MAIN_SIGN_TYPE_DIRECTIONPREANNOUNCEMENTHIGHWAYENTRIES = 122;
	MAIN_SIGN_TYPE_HIGHWAYANNOUNCEMENT = 123;
	MAIN_SIGN_TYPE_OTHERROADANNOUNCEMENT = 124;
	MAIN_SIGN_TYPE_HIGHWAYANNOUNCEMENTTRUCKSTOP = 125;
	MAIN_SIGN_TYPE_HIGHWAYPREANNOUNCEMENTDIRECTIONS = 126;
	MAIN_SIGN_TYPE_POLEEXIT = 88;
	MAIN_SIGN_TYPE_HIGHWAYDISTANCEBOARD = 180;
	MAIN_SIGN_TYPE_DETOURLEFT = 181;
	MAIN_SIGN_TYPE_DETOURRIGHT = 182;
	MAIN_SIGN_TYPE_NUMBEREDDETOUR = 131;
	MAIN_SIGN_TYPE_DETOURBEGIN = 132;
	MAIN_SIGN_TYPE_DETOUREND = 133;
	MAIN_SIGN_TYPE_DETOURROUTINGBOARD = 134;
	MAIN_SIGN_TYPE_OPTIONALDETOUR = 111;
	MAIN_SIGN_TYPE_OPTIONALDETOURROUTING = 199;
	MAIN_SIGN_TYPE_ROUTERECOMMENDATION = 211;
	MAIN_SIGN_TYPE_ROUTERECOMMENDATIONEND = 212;
	MAIN_SIGN_TYPE_ANNOUNCELANETRANSITIONLEFT = 192;
	MAIN_SIGN_TYPE_ANNOUNCELANETRANSITIONRIGHT = 193;
	MAIN_SIGN_TYPE_ANNOUNCERIGHTLANEEND = 90;
	MAIN_SIGN_TYPE_ANNOUNCELEFTLANEEND = 89;
	MAIN_SIGN_TYPE_ANNOUNCERIGHTLANEBEGIN = 115;
	MAIN_SIGN_TYPE_ANNOUNCELEFTLANEBEGIN = 116;
	MAIN_SIGN_TYPE_ANNOUNCELANECONSOLIDATION = 117;
	MAIN_SIGN_TYPE_DETOURCITYBLOCK = 142;
	MAIN_SIGN_TYPE_GATE = 141;
	MAIN_SIGN_TYPE_POLEWARNING = 91;
	MAIN_SIGN_TYPE_TRAFFICCONE = 140;
	MAIN_SIGN_TYPE_MOBILELANECLOSURE = 139;
	MAIN_SIGN_TYPE_REFLECTORPOST = 114;
	MAIN_SIGN_TYPE_DIRECTIONALBOARDWARNING = 113;
	MAIN_SIGN_TYPE_GUIDINGPLATE = 104;
	MAIN_SIGN_TYPE_GUIDINGPLATEWEDGES = 105;
	MAIN_SIGN_TYPE_PARKINGHAZARD = 99;
	MAIN_SIGN_TYPE_TRAFFICLIGHTGREENARROW = 92;
}
